Bug 200249 - Review Request: cvs2svn
Review Request: cvs2svn
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-26 10:49 EDT by Konstantin Ryabitsev
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-26 21:47:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2006-07-26 10:49:13 EDT
Spec URL: http://blues.mcgill.ca/~icon/fe/cvs2svn.spec
SRPM URL: http://blues.mcgill.ca/~icon/fe/cvs2svn-1.4.0-0.1.rc1.src.rpm
Description:
cvs2svn is a Python script that converts a CVS repository to a 
Subversion repository. It is designed for one-time conversions, not for 
repeated synchronizations between CVS and Subversion.

NB: License says "BSD" because it's the same license and subversion, and the core subversion package says the license is "BSD" (even though it's a modified BSD).
Comment 1 Paul F. Johnson 2006-07-26 10:54:33 EDT
Okay...

Should this not be Development/Tools rather than Languages?

Could you also clarify if the licence for this software is modified BSD or
straight BSD please?
Comment 2 Konstantin Ryabitsev 2006-07-26 11:06:41 EDT
Hey, Paul:

You're right, I missed the Group bit -- will modify accordingly.

I guess I could change the license to "Modified BSD", even though the
modification is small:

 * 3. The end-user documentation included with the redistribution, if
 * any, must include the following acknowledgment: "This product includes
 * software developed by CollabNet (http://www.Collab.Net/)."
 * Alternately, this acknowledgment may appear in the software itself, if
 * and wherever such third-party acknowledgments normally appear.

It's somewhere between the original BSD and current BSD -- the dreaded
"advertise clause" is required, but only in documentation, so it's not a big
deal. Like I said, the subversion package in core lists the license as "BSD", so
I figure it's safe to leave it as just "BSD" for this one as well.

Full license text: http://cvs2svn.tigris.org/project_license.html
Comment 5 Paul F. Johnson 2006-07-26 17:19:25 EDT
Builds without a hitch. rpmlint is happy, mock is happy. The licence does seem
correct as BSD.

ACCEPTED

Comment 6 Konstantin Ryabitsev 2006-07-26 21:47:54 EDT
Wow, this is the fastest package review I've had in my life. :) Thanks, Paul!
Comment 7 Konstantin Ryabitsev 2007-04-03 12:15:40 EDT
Please create EPEL branches:
Branches: EL-4, EL-5
Comment 8 Jens Petersen 2007-04-06 02:48:34 EDT
done

Note You need to log in before you can comment on or make changes to this bug.